commit:     738e78a33d6c12fecc65519b93bfaf4873775cd2
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 25 18:24:28 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec 25 18:24:28 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=738e78a3

x11-terms/xfce4-terminal: Bump to 1.1.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 x11-terms/xfce4-terminal/Manifest                  |  1 +
 .../xfce4-terminal/xfce4-terminal-1.1.4.ebuild     | 58 ++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/x11-terms/xfce4-terminal/Manifest 
b/x11-terms/xfce4-terminal/Manifest
index 644adc6f7ca5..1466d3e8877c 100644
--- a/x11-terms/xfce4-terminal/Manifest
+++ b/x11-terms/xfce4-terminal/Manifest
@@ -1 +1,2 @@
 DIST xfce4-terminal-1.1.3.tar.bz2 1042732 BLAKE2B 
e4cdd24a19525f6da16483e1db7d80995396600d80b857e56c9859c25c3a54ba324205ab4938e3cea66da18495c8c32b8cc85ad4583593e289246ea3dbd34b74
 SHA512 
12d489099851b281d3ac83a4d9b2f459ed8442899823edba36055a0aa731d1821686f400d5d370833077b0ccf930cb3dfdf5800af58dd2339377dd7e902210b9
+DIST xfce4-terminal-1.1.4.tar.bz2 1498643 BLAKE2B 
290a765b8873b54f799166fa28e4ff92d712a7b90cbd16479ea3aa1eb93782f8f63b7a45c0a6ec62fba6b1cebfa9d7a80ffd8ab9b6f482c14a83a842167645eb
 SHA512 
c2a749f75142690f188d1f66a63573c612bb47db42f1933d63cfd8026ac0a66067112d92ff52f9ce7dfb735f7f6ea1ac55d34077be0341e7848dd7daffc101a9

diff --git a/x11-terms/xfce4-terminal/xfce4-terminal-1.1.4.ebuild 
b/x11-terms/xfce4-terminal/xfce4-terminal-1.1.4.ebuild
new file mode 100644
index 000000000000..7efc916cb93c
--- /dev/null
+++ b/x11-terms/xfce4-terminal/xfce4-terminal-1.1.4.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="A terminal emulator for the Xfce desktop environment"
+HOMEPAGE="
+       https://docs.xfce.org/apps/terminal/start
+       https://gitlab.xfce.org/apps/xfce4-terminal/
+"
+SRC_URI="https://archive.xfce.org/src/apps/${PN}/$(ver_cut 1-2)/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris"
+IUSE="utempter wayland X"
+REQUIRED_USE="|| ( wayland X )"
+
+RDEPEND="
+       >=dev-libs/glib-2.44.0:2
+       >=dev-libs/libpcre2-10.00:=
+       >=x11-libs/gtk+-3.22.0:3[wayland?,X?]
+       >=x11-libs/vte-0.51.3:2.91
+       >=xfce-base/libxfce4ui-4.17.5:=[gtk3(+)]
+       >=xfce-base/xfconf-4.16.0:=
+       utempter? ( sys-libs/libutempter:= )
+       wayland? ( >=gui-libs/gtk-layer-shell-0.7.0 )
+       X? ( >=x11-libs/libX11-1.6.7 )
+"
+DEPEND="
+       ${RDEPEND}
+"
+BDEPEND="
+       dev-libs/libxml2
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local myconf=(
+               $(use_with utempter)
+               $(use_enable wayland)
+               $(use_enable wayland gtk-layer-shell)
+               $(use_enable X x11)
+       )
+
+       econf "${myconf[@]}"
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to